> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/incarca-fisiere-cu-api-ul-geopard.md).

# Încarcă fișiere cu API-ul GeoPard

{% hint style="success" %}
Abordarea recomandată pentru fișierele de peste 6 MB este [fluxul URL pre-semnat](/geopard-tutorials/ro/documentatie-api/prezentare-generala-a-cererilor-api-geopard/55.-incarca-fisiere-zip-peste-6-mb.md).
{% endhint %}

API-ul GeoPard permite încărcarea arhivelor zip cu seturi de date soil/yield/applied/boundary pentru procesare și analize ulterioare.

{% hint style="danger" %}
Din cauza unei limitări AWS, dimensiunea maximă a fișierului pe care îl puteți încărca prin acest endpoint REST este de 6 MB.
{% endhint %}

Pașii de încărcare pentru fișierele de peste 6 MB sunt descriși în [Încărcarea fișierelor zip (peste 6 MB)](/geopard-tutorials/ro/documentatie-api/prezentare-generala-a-cererilor-api-geopard/55.-incarca-fisiere-zip-peste-6-mb.md).

Imediat după încărcarea cu succes a setului de date soil/yield/applied, motorul GeoPard îl leagă de câmpurile aferente aflate în ferma definită.

Imediat după încărcarea cu succes a boundary-ului, motorul GeoPard își inițializează procesarea.

Răspunsul conține un `<uuid>` pe care îl puteți folosi pentru a urmări starea procesării.

#### Exemplu de cerere:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

Parametrii sunt:

1. `<type>` - tipul setului de date încărcat. Trebuie să fie `yield` SAU `soil` SAU `applied` SAU `boundary`.
2. `<farm_uuid>` - `uuid` al Fermei în care va fi încărcat fișierul (opțional).
3. `<token>` - tokenul de acces GeoPard.
4. `@path/to/file.zip` - calea către fișierul care este încărcat.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/incarca-fisiere-cu-api-ul-geopard.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
